;***********************************************************************************
; final fantasy 3 pal fix by d4s in 2005! YAY!
;***********************************************************************************




.MEMORYMAP             ; Tell WLA that the SNES has ROM at locations 0000-$FFFF in every bank
SLOTSIZE $10000        ; and that this area is $10000 bytes in size.
DEFAULTSLOT 0          ; There is only a single slot in SNES, other consoles
SLOT 0 $0000           ;	may have more slots per bank.
.ENDME

.ROMBANKSIZE $10000    ; Every ROM bank is 64 KBytes in size, also necessary.
.ROMBANKS 48           ; 32Mbits -- Tells WLA that you want to use 32 ROM banks.



.Background "ff3.smc" ;us rom without header

.bank 3 slot 0
.org $1454

	jsr Bg2MainScreenEnable

.bank 0 slot 0
.org $B8bf
	.db $80			;$C0/B8BA A5 EB       LDA $EB    [$00:00EB]   A:0000 X:0188 Y:0000 P:envMxdiZc
				;dont care about song length/end during ending
.bank 3 slot 0
.org $f091
.section "ff3 main program bank" overwrite

Bg2MainScreenEnable:
	lda.b #$17
	sta.w $212c

	jmp $D263


.ends
		


.bank 0 slot 0
.org $9A4C

	.dw CheckMusic


.bank 0 slot 0
.org $fee8
.section "ending fix" overwrite

CheckMusic:
	lda.w $213f
	and.b #%00010000
	bne AdvanceOneEvent	;dont check music if in pal mode(will crash otherwise)
	lda.b $eb
	cmp.w $2141
	beq AdvanceOneEvent
	rts
	
AdvanceOneEvent:
	jmp $B8C2

.ends



